#version 130 

in vec3 p, n;

uniform vec3 la, ld, lightPos;
uniform vec3 ka, kd;

out vec4 fragColor; 

void main() { 
	vec3 snowCol = vec3(232/255.0, 232/255.0, 1);
	vec3 col = ka;
	if (p.z > 25) {
		col = snowCol;
	}

	float ldDot = max(0.0, dot(n, normalize(lightPos - p)));
	fragColor = vec4(col*la + kd*ld*ldDot, 1); 
}
